Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.Beta2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.impl.exhaustivesearch.node
Class ExhaustiveSearchNode

    java.lang.Object
      org.optaplanner.core.impl.exhaustivesearch.node.ExhaustiveSearchNode

    public class ExhaustiveSearchNode

extends Object

Constructor Summary
`ExhaustiveSearchNode(ExhaustiveSearchLayer layer, ExhaustiveSearchNode parent)`

Method Summary
`long` | `getBreadth()`
`int` | `getDepth()`
`Object` | `getEntity()`
`ExhaustiveSearchLayer` | `getLayer()`
`Move` | `getMove()`
`Score` | `getOptimisticBound()`
`ExhaustiveSearchNode` | `getParent()`
`long` | `getParentBreadth()`
`Score` | `getScore()`
`Move` | `getUndoMove()`
`int` | `getUninitializedVariableCount()`
`boolean` | `isLastLayer()`
`void` | `setMove(Move move)`
`void` | `setOptimisticBound(Score optimisticBound)`
`void` | `setScore(Score score)`
`void` | `setUndoMove(Move undoMove)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ExhaustiveSearchNode

    public ExhaustiveSearchNode(ExhaustiveSearchLayer layer,
                                ExhaustiveSearchNode parent)

Method Detail

### getLayer

    public ExhaustiveSearchLayer getLayer()

### getParent

    public ExhaustiveSearchNode getParent()

### getBreadth

    public long getBreadth()

### getMove

    public Move getMove()

### setMove

    public void setMove(Move move)

### getUndoMove

    public Move getUndoMove()

### setUndoMove

    public void setUndoMove(Move undoMove)

### getScore

    public Score getScore()

### setScore

    public void setScore(Score score)

### getOptimisticBound

    public Score getOptimisticBound()

### setOptimisticBound

    public void setOptimisticBound(Score optimisticBound)

### getDepth

    public int getDepth()

### getUninitializedVariableCount

    public int getUninitializedVariableCount()

### getEntity

    public Object getEntity()

### isLastLayer

    public boolean isLastLayer()

### getParentBreadth

    public long getParentBreadth()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.Beta2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.